<template>
  <div class="mt-8">
    <div class="container mx-auto px-8">
      <form @submit.prevent="onSubmit" class="space-y-6">
        <div class="row">
          <label for="email" class="flex flex-col">
            <span class="font-semibold">Email Address</span>
            <input
              id="email"
              type="email"
              v-model="email"
              placeholder="mMoney@gmail.com..."
              class="px-4 py-3 rounded-lg border border-gray-200 mt-1"
            />
          </label>
        </div>
        <div class="row">
          <label for="password" class="flex flex-col">
            <span class="font-semibold">Password</span>
            <input
              v-model="password"
              id="password"
              type="password"
              placeholder="Example"
              class="px-4 py-3 rounded-lg border border-gray-200 mt-1"
            />
          </label>
        </div>
        <div class="row">
          <button
            v-if="!isPending"
            class="py-3 text-center w-full bg-primary text-white font-bold rounded-lg"
            type="submit"
          >
            Sign In
          </button>
          <button
            v-else
            disabled
            class="py-3 text-center w-full bg-gray-800 text-white font-bold rounded-lg"
            type="submit"
          >
            Loading...
          </button>
        </div>
      </form>
      <div class="text-left" v-if="error">
        {{ error }}
      </div>
      <div class="w-full text-center mt-6">
        <span class="font-semibold">I'm a new member.</span>
        <span class="text-primary font-semibold ml-1">
          <router-link :to="{ name: 'register', params: {} }"
            >Sign Up</router-link
          >
        </span>
      </div>
    </div>
  </div>
</template>
<script>
import { ref } from "vue";
import { useSignIn } from "@/composables/useSignIn";
import { useRouter } from "vue-router";
export default {
  setup() {
    const email = ref("");
    const password = ref("");
    const { error, isPending, signIn } = useSignIn();
    const router = useRouter();
    async function onSubmit() {
      await signIn(email.value, password.value);
      if (!error.value) {
        router.push({ name: "Profile", params: {} });
      }
    }
    return {
      onSubmit,
      email,
      password,
      error,
      isPending,
    };
  },
};
</script>
